Subject: Re: MIT Kfw SDK w/ Cygwin? Trying to build OpenSSH w/ GSS-API on Cygwin...
From: Nicolas Williams <[email-masked]>
To: "Douglas E. Engert" <[email-masked]>
Cc: Danilo Almeida <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 3 Jan 2002 15:51:22 -0500

On Thu, Jan 03, 2002 at 02:38:04PM -0600, Douglas E. Engert wrote:
> 
> 
> Nicolas Williams wrote:
> > 
> > Ah, yes, this is what I was hoping for.
> > 
> > What I have, so far, links, and the resulting ssh.exe even runs, but
> > then it crashes, around the code that calls GSS-API. I'm trying to trace
> > it with gdb now.
> 
> This could be a windows calling convention problem. The krb5 gssapi uses
> the stdcall, but the cygwin might be using the C calling convention. 
> We ran into this with a different gssapi, and have a DLL to convert from one
> to another. I will send you a copy of this via seperate mail.

I'll check this. If this is the culprit then I might be able to make it
work with appropriate fudging of the Kfw SDK headers.

Thanks!

Nico
--
-DISCLAIMER: an automatically appended disclaimer may follow. By posting-
-to a public e-mail mailing list I hereby grant permission to distribute-
-and copy this message.-

Visit our website at http://www.ubswarburg.com

This message contains confidential information and is intended only 
for the individual named.  If you are not the named addressee you 
should not disseminate, distribute or copy this e-mail.  Please 
notify the sender immediately by e-mail if you have received this 
e-mail by mistake and delete this e-mail from your system.

E-mail transmission cannot be guaranteed to be secure or error-free 
as information could be intercepted, corrupted, lost, destroyed, 
arrive late or incomplete, or contain viruses.  The sender therefore 
does not accept liability for any errors or omissions in the contents 
of this message which arise as a result of e-mail transmission.  If 
verification is required please request a hard-copy version.  This 
message is provided for informational purposes and should not be 
construed as a solicitation or offer to buy or sell any securities or 
related financial instruments.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/